Michael T. Richter wrote:

> OK, thanks to the timely help of Lyle Johnson (Thanks, Lyle!) I got
> FXRuby 1.6.4 compiled and installed.  Unfortunately I cannot say that I
> have it running.

/ ...

> What painfully, laughably obvious thing am I
> missing here?

The library file is present, but the application that needs it cannot find
it.

1. Check that /etc/ld.so.conf contains the path to the required library
directory. Example of /etc/ld.so.conf contents:

-----------------------------
include ld.so.conf.d/*.conf
/usr/local/lib
-----------------------------

Notice that the path to the required library directory is explicitly
included in this key library path resolution file.

If your /etc/ld.so.conf file doesn't look like this, edit it.

2. Run ldconfig as root:

# /sbin/ldconfig

See if this generic approach resolves the problem.

BTW this is a way to resolve a large number of library-related problems.

-- 
Paul Lutus
http://www.arachnoid.com